Part Punkt

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Part Point and the translation is 62% complete.

Part Punkt

Menüeintrag
Formteil → Grundkörper erstellen → Punkt
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Ein Part Knoten ist ein parametrischer Punkt, der mit dem Befehl Part Grundelemente erstellt werden kann. Seine Koordinaten beziehen sich auf das in seiner Daten-EigenschaftPlacement festgelegte Koordinatensystem.
(Mit dem Eintrag Punkt in der Auswahlliste wird ein Objekt Knoten erstellt.)

Anwendung

Siehe Part Grundelemente.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Knoten-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DatenX (Distance): The X coordinate of the point. The default is 0mm.
  • DatenY (Distance): The Y coordinate of the point. The default is 0mm.
  • DatenZ (Distance): The Z coordinate of the point. The default is 0mm.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()